<?php
namespace Ep\Wp\Plugin;

use Zend\ServiceManager\AbstractPluginManager;

/**
 * Omogućava stvaranje WordPress pluginova iz konfiguracije.
 *
 * @package Ep\Wp\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
class PluginManager extends AbstractPluginManager
{
    const CONFIG_KEY = 'wp_plugins';

    /** @var string */
    protected $instanceOf = PluginInterface::class;

    /** @var array */
    protected $aliases = [
        'translationcache' => TranslationCache::class,
        'translationCache' => TranslationCache::class,
        'TranslationCache' => TranslationCache::class,
    ];

    /** @var array */
    protected $factories = [
        TranslationCache::class => TranslationCacheFactory::class,
    ];
}